#
# spec file for package wsdl4j
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# icecream 0


Name:           wsdl4j
BuildRequires:  ant-junit
BuildRequires:  java-1_7_0-openjdk-devel
BuildRequires:  xml-commons-apis
%define name            wsdl4j
%define version         1.5.1
%define release         1jpp
%define section         free
# -----------------------------------------------------------------------------
Summary:        Web Services Description Language Toolkit for Java
License:        IPL-1.0
Group:          Development/Libraries/Java
Version:        1.5.1
Release:        6.20
Url:            http://www-124.ibm.com/developerworks/projects/wsdl4j/
BuildArch:      noarch
Source0:        wsdl4j-%{version}-src.tar.gz
##cvs -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/wsdl4j login
##cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/wsdl4j export -r wsdl4j-1_5_1 wsdl4j
Patch:          %{name}-java14compat.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       java
Requires:       jaxp_parser_impl
#XXX: temporary fix to make axis auto dependencies work, need to revork package
Provides:       osgi(javax.wsdl)

%description
The Web Services Description Language for Java Toolkit (WSDL4J) allows
the creation, representation, and manipulation of WSDL documents
describing services.  This codebase will eventually serve as a
reference implementation of the standard created by JSR110.



%package javadoc
PreReq:         coreutils
Summary:        Javadoc for wsdl4j
Group:          Development/Libraries/Java

%description javadoc
The Web Services Description Language for Java Toolkit (WSDL4J) allows
the creation, representation, and manipulation of WSDL documents
describing services.  This codebase will eventually serve as a
reference implementation of the standard created by JSR110.

This package contains the javadoc documentation for the Web Services
Description Language for Java.



%prep
%setup -q -n %{name}-%{version}
%patch

%build
export OPT_JAR_LIST="ant/ant-junit junit"
[ -z "$JAVA_HOME" ] && export JAVA_HOME=%{_jvmdir}/java
#ant -Dbuild.compiler=modern compile
#ant -Dbuild.compiler=modern javadocs
ant -Dbuild.compiler=modern compile test javadocs

%install
# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
for jar in %{name}.jar qname.jar ; do
   vjar=$(echo $jar | sed s+.jar+-%{version}.jar+g)
   install -m 644 build/lib/$jar $RPM_BUILD_ROOT%{_javadir}/$vjar
   pushd $RPM_BUILD_ROOT%{_javadir}
      ln -fs $vjar $jar
   popd
done
# javadoc
install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc license.html
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Fri Sep 13 2013 mvyskocil@suse.com
- temoporary provide osgi(javax.wsdl) to satisfy axis depenencies
* Fri Sep 22 2006 skh@suse.de
- don't use icecream
- use target="1.4" and source="1.4" for build with java 1.5
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jul 29 2005 jsmeix@suse.de
- Adjustments in the spec file.
* Wed Jul 20 2005 jsmeix@suse.de
- Current version 1.5.1 from JPackage.org
* Thu Sep 16 2004 skh@suse.de
- Fix prerequires of javadoc subpackage
* Mon Sep  6 2004 skh@suse.de
- Initial package with version 1.4
